package com.sunxung.factoring.entity.invoicemanage.vo;

import java.math.BigDecimal;

/**
 * @Description : 销售合同分配信息Vo类
 * @Author : L.Jia
 * @Date: 2021-11-29 14:43
 */
public class SaleInvoiceGoodsAssignVo {

    /**
     * 对应结算单货物Id
     */
    private Long id;

    /**
     * 对应验收单货物Id
     */
    private Long acceptanceBusinessGoodsId;

    /**
     * 对应底层信息Id
     */
    private Long mortgageInformationId;

    /**
     * 供应商Id
     */
    private Long supplierId;

    /**
     * 供应商名称
     **/
    private String supplier;

    /***
     * 货物名称
     */
    private String goodsName;
    /**
     * 厂家
     */
    private String goodsFactory;

    /**
     * 型号
     */
    private String goodsType;
    /**
     * 单位
     */
    private String goodsUnit;

    /**
     * 数量
     */
    private BigDecimal goodsNum;

    /**
     * 已开票数量
     */
    private BigDecimal invoicedQuantity;

    /**
     * 销售单价
     */
    private BigDecimal salesPrice;

    /**
     * 销售总价
     */
    private BigDecimal salesPriceTotal;

    /**
     * 销售质保金
     */
    private BigDecimal salesGuaranteeMoney;

    /**
     * 采购单价
     */
    private BigDecimal purchasePrice;

    /**
     * 采购总价
     */
    private BigDecimal purchasePriceTotal;

    /**
     * 采购质保金
     */
    private BigDecimal purchaseGuaranteeMoney;

    /**
     * 是否底层 false：不做  true：可做
     */
    private Boolean mortgage;

    /**
     * 未分配金额
     */
    private BigDecimal unAssignedMoney;

    /**
     * 已分配金额
     */
    private BigDecimal assignedMoney;

    /**
     * 采购合同编号
     */
    private String purchContractNumber;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMortgageInformationId() {
        return mortgageInformationId;
    }

    public void setMortgageInformationId(Long mortgageInformationId) {
        this.mortgageInformationId = mortgageInformationId;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public BigDecimal getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(BigDecimal goodsNum) {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public BigDecimal getSalesPriceTotal() {
        return salesPriceTotal;
    }

    public void setSalesPriceTotal(BigDecimal salesPriceTotal) {
        this.salesPriceTotal = salesPriceTotal;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getPurchasePriceTotal() {
        return purchasePriceTotal;
    }

    public void setPurchasePriceTotal(BigDecimal purchasePriceTotal) {
        this.purchasePriceTotal = purchasePriceTotal;
    }

    public Boolean getMortgage() {
        return mortgage;
    }

    public void setMortgage(Boolean mortgage) {
        this.mortgage = mortgage;
    }

    public BigDecimal getUnAssignedMoney() {
        return unAssignedMoney;
    }

    public void setUnAssignedMoney(BigDecimal unAssignedMoney) {
        this.unAssignedMoney = unAssignedMoney;
    }

    public BigDecimal getAssignedMoney() {
        return assignedMoney;
    }

    public void setAssignedMoney(BigDecimal assignedMoney) {
        this.assignedMoney = assignedMoney;
    }

    public BigDecimal getSalesGuaranteeMoney() {
        return salesGuaranteeMoney;
    }

    public void setSalesGuaranteeMoney(BigDecimal salesGuaranteeMoney) {
        this.salesGuaranteeMoney = salesGuaranteeMoney;
    }

    public BigDecimal getPurchaseGuaranteeMoney() {
        return purchaseGuaranteeMoney;
    }

    public void setPurchaseGuaranteeMoney(BigDecimal purchaseGuaranteeMoney) {
        this.purchaseGuaranteeMoney = purchaseGuaranteeMoney;
    }

    public Long getAcceptanceBusinessGoodsId() {
        return acceptanceBusinessGoodsId;
    }

    public void setAcceptanceBusinessGoodsId(Long acceptanceBusinessGoodsId) {
        this.acceptanceBusinessGoodsId = acceptanceBusinessGoodsId;
    }

    public BigDecimal getInvoicedQuantity() {
        return invoicedQuantity;
    }

    public void setInvoicedQuantity(BigDecimal invoicedQuantity) {
        this.invoicedQuantity = invoicedQuantity;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getPurchContractNumber() {
        return purchContractNumber;
    }

    public void setPurchContractNumber(String purchContractNumber) {
        this.purchContractNumber = purchContractNumber;
    }
}
